#!/usr/bin/env bash
# Kubernetes Rebar Immutable Boot (KRIB) Kubeadm Installer
set -e

# Get access and who we are.
{{template "setup.tmpl" .}}

# these need to be before krib-lib template
{{if .ParamExists "krib/cluster-profile" -}}
CLUSTER_PROFILE={{.Param "krib/cluster-profile"}}
{{else -}}
xiterr 1 "Missing etcd/cluster-profile on the machine!"
{{end -}}

{{template "krib-lib.sh.tmpl" .}}

install haproxy

systemctl enable haproxy
systemctl start haproxy

echo "Finished successfully"
exit 0
